Subject: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Stefan Monnier <[email-masked]>
Date: Tue, 22 Mar 2016 08:05:44 -0400

> Tramp needs an indication that file name completion is in progress.

That's where we disagree.

> Otherwise, it would regard remote file names like "/adb:" safe
> to be handled, and it would report an error then.

This bug report is not about "cd /adb: TAB signals an error" but about
"cd / TAB signals an error".  The "/adb:" part comes from Tramp because
of a problem in Tramp's implementation of file-name-directory, AFAICT.
It has nothing to do with file name completion.

        Stefan